[RESOLVED] "Could not create directory" error when updating WordPress plugins

apps

#1

Hi there,

I am trying to install one plugin and update another in WordPress (not the one-click install version). Whenever I do this, I get the following error:

[code]Downloading install package from http://downloads.wordpress.org/plugin/stats.1.8.2.zip…

Unpacking the package…

Could not create directory. /home/username/mysite.com/wp-content/upgrade/stats.tmp/stats
[/code]

I have made sure the /wp-content directory and sub-directories have the correct permissions (755) and that the /wp-content/upgrade directory exists. I’ve even tried to manually create the stats.tmp and ./stats directories, but I get the same error and then the install script deletes those manually-created directories.

Any ideas on what the problem might be? I have the latest version of WP installed, and have also tried changing PHP from 5.2 to 5.3 (FastCGI) via the DH webpanel.

Thanks for your help.


#2

You could try 777 (briefly!) to see if that works. Change it right back to 755 when done. Mine are 755 and I’ve not had this problem.
You can also manually download that zipfile, extract it, then FTP it to your plugins directory.


#3

I’d rather not chmod the directory to 777! I know I can download it manually, but it would be great to have the web interface working. It used to, not sure why it doesn’t now.[hr]
Okay after some more playing around, it looks like it was the AskApache plugin. I deactivated it, and all the updates/installs worked fine.


#4

Shehaal deactivating AskApache worked for me…thank you.